Subject: Re: [PATCH 0/8] Remove mysql

From: Efraim Flashner <[email-masked]>
Date: Wed, 19 Apr 2023 17:18:50 +0300

On Wed, Apr 19, 2023 at 12:51:46PM +0200, Andreas Enge wrote:
> Am Mon, Apr 17, 2023 at 04:29:13PM +0300 schrieb Efraim Flashner:
> > I saw that a fix was applied to mysql on core-updates to have it build
> > with openssl-1.1, and I figured that rather than have a version that was
> > several years out of date (and surely had many many security
> > vulnerabilities) it would be better to try to just remove it.
> > `mariadb:dev` provides the `mysql_config` binary that some packages
> > search for so I used it as a drop-in replacement. Nothing seemed broken
> > to me after building some packages, so to the best of my knowledge of
> > these disparate packages and languages all is fine.
> 
> From what one reads, this seems to be the route to go; so unless a
> mysql champion chimes in, I am in favour of this change once QA gives
> a green button. Would you suggest to remove mysql altogether in a
> later commit?

That's certainly my hope. I feel like it's already been abandoned by us
when we switched to mariadb, and the last commit touching it was more
than 2 years ago.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted